local M = {}
local disableOnReset = false
drsMsg = 1

-- Reset on respawn
local function onReset()
	electrics.values.drs_toggle = 0
  end

local function updateGFX(dt)

-- DRS GUI Message
if electrics.values.drs_toggle == 1 then 

	if drsMsg == 1 then
	gui.message("DRS enabled", 2)
	end
	drsMsg = 0

elseif electrics.values.drs_toggle == 0 then 

	if drsMsg == 0 then
	gui.message("DRS disabled", 2)
	end
	drsMsg = 1

end

-- DRS Auto Shutoff
if electrics.values.drs_toggle == 1 and electrics.values.brake > 0.25 then

	electrics.values.drs_toggle = 0
	end
end


-- public interface
M.onReset = onReset
M.updateGFX = updateGFX
return M