local M = {}
pitMsg = 1

local function onReset()
    electrics.values.pit_limiter = 0
  end


local function updateGFX(dt)

-- Main toggle idk
if electrics.values.pit_limiter == 1 then

	if electrics.values.wheelspeed >= 56 / 3.6 then

		electrics.values.throttle = 0
	else

		electrics.values.throttle = input.throttle
	end
end


-- Pit Limiter GUI Message
if electrics.values.pit_limiter == 1 then 

	if pitMsg == 1 then
	gui.message("Pit Limiter enabled", 5, "recovery")
	end
	pitMsg = 0

elseif electrics.values.pit_limiter == 0 then 

	if pitMsg == 0 then
	gui.message("Pit Limiter disabled", 5, "recovery")
	end
	pitMsg = 1

end
end

-- public interface
M.onReset = onReset
M.updateGFX = updateGFX
return M